import { module, test } from 'qunit';
import { setupRenderingTest } from 'frontend-reactive/tests/helpers';
import { render } from '@ember/test-helpers';
import { hbs } from 'ember-cli-htmlbars';

module('Integration | Component | account/overview', function (hooks) {
  setupRenderingTest(hooks);

  test('it renders', async function (assert) {
    // Set any properties with this.set('myProperty', 'value');
    // Handle any actions with this.set('myAction', function(val) { ... });

    await render(hbs`<Account::Overview />`);

    assert.dom().hasText('');

    // Template block usage:
    await render(hbs`
      <Account::Overview>
        template block text
      </Account::Overview>
    `);

    assert.dom().hasText('template block text');
  });
});
